<?php

/**
 * Implementation of hook_post_hosting_TASK_TYPE_task() for delete tasks.
 */
function aegir_ssh_post_hosting_verify_task($task, $data)
{

  // When a server is being verified...
  if ($task->ref->type == 'server') {

    // Check for authorized_keys.
    if (empty($task->ref->authorized_keys) || count($task->ref->authorized_keys) < 1) {
      return;
    }

    drush_log('[aegir_ssh] server verify...', 'ok');

    // Queue site deletion for each environment.
    $count = count($task->ref->authorized_keys);
    drush_log('[aegir_ssh] ' . $count . ' ssh keys found', 'ok');

    // Write to "authorized_keys".
    $notes[] = " ";
    $notes[] = "# NOTE: Do NOT manually edit this file. It is overwritten every time the server_master is verified.";
    $notes[] = "# This file is generated by aegir_ssh.module from the SSH keys stored in your hostmaster site located at http://" . d('@hostmaster')->uri;
    $notes[] = "# If you wish, you can create a file 'authorized_keys_manual' and we will import that file into this one.";
    $notes[] = " ";
  
    $pre_keys[] = '# BEGIN keys stored in Hostmaster';
    $post_keys[] = '# END keys stored in Hostmaster';
    
    $manual_keys_filename = '/var/aegir/.ssh/authorized_keys_manual';
    $manual_keys = [];
    if (is_readable($manual_keys_filename)) {
      $manual_keys = explode("\n", file_get_contents($manual_keys_filename));
      array_unshift($manual_keys, "# BEGIN manual keys import from $manual_keys_filename");
      $manual_keys[] = "# END manual keys import from $manual_keys_filename";
    }
    
    $lines = array_merge(
      $notes,
      $pre_keys,
      $task->ref->authorized_keys,
      $post_keys,
      $manual_keys,
      $notes
    );
    $authorized_keys = implode("\n", $lines);
    if (file_put_contents('/var/aegir/.ssh/authorized_keys', $authorized_keys)) {
      drush_log('[aegir_ssh] Wrote /var/aegir/.ssh/authorized_keys!', 'ok');
      chmod('/var/aegir/.ssh/authorized_keys', 0600);
      drush_log('[aegir_ssh] Changed Permissions of /var/aegir/.ssh/authorized_keys to 600', 'ok');

    }
    else {
      return drush_set_error('AEGIR_ERROR', '[aegir_ssh] COULD NOT write ~/.ssh/authorized_keys!');
    }
  }
}